Mailrelay API Reference

Lists event subscriptions

GET /event_subscriptions

Event subscriptions are used to receive notifications about events via webhook or email.

Pagination

This is a paginated resource. You can optionally send two query parameters:

Parameter Description
page The page that you want to retrieve. It starts with 1.
per_page The number of records returned per page. The max allowed value for this resource is 1000.

The response will include two HTTP headers:

Header Description
Total The total number of pages based on your parameters. You can use this option to know when you've reached the end of the pagination.
Per-Page The number of records returned per page.

Parameters

NameTypeDescription
page integer Page number
per_page integer Number of records per page
q[id_eq] integer Search: ID equals
q[id_gteq] integer Search: ID greater than or equal to
q[id_lteq] integer Search: ID less than or equal to
q[name_eq] string Search: Name equals
q[name_cont] string Search: Name contains
q[delivery_method_eq] string Search: Delivery method equals
q[delivery_method_cont] string Search: Delivery method contains
q[url_eq] string Search: URL equals
q[url_cont] string Search: URL contains
q[email_eq] string Search: Email equals
q[email_cont] string Search: Email contains
q[enabled_true] boolean Search: Enabled is true
q[enabled_not_true] boolean Search: Enabled is false
q[created_at_eq] string Search: Created at equals
q[created_at_gteq] string Search: Created at greater than or equal to
q[created_at_lteq] string Search: Created at less than or equal to
q[updated_at_eq] string Search: Updated at equals
q[updated_at_gteq] string Search: Updated at greater than or equal to
q[updated_at_lteq] string Search: Updated at less than or equal to
q[s] string Allows ordering the records based on a specific field. You may optionally append "asc" or "desc" to define the direction. Example: "id desc"

Responses

StatusDescription
200 Success
401 The API key wasn't sent or is invalid
500 An internal error happened. Try again later.